## ros-melodic-move-base-flex 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(move_base_flex)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-melodic-move-base-flex 0.3.4

=== debian/changelog ===
ros-melodic-move-base-flex (0.3.4-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 01 Dec 2020 23:00:00 -0000

ros-melodic-move-base-flex (0.3.3-1stretch) stretch; urgency=high

  * Add mbf_utility to move_base_flex metapackag

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 04 Nov 2020 23:00:00 -0000

ros-melodic-move-base-flex (0.3.2-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-move-base-flex (0.3.1-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 06 Apr 2020 22:00:00 -0000

ros-melodic-move-base-flex (0.3.0-1stretch) stretch; urgency=high

  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 30 Mar 2020 22:00:00 -0000

ros-melodic-move-base-flex (0.2.5-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Thu, 10 Oct 2019 22:00:00 -0000

ros-melodic-move-base-flex (0.2.4-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Sat, 15 Jun 2019 22:00:00 -0000

ros-melodic-move-base-flex (0.2.3-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 13 Nov 2018 23:00:00 -0000

ros-melodic-move-base-flex (0.2.2-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 09 Oct 2018 22:00:00 -0000

ros-melodic-move-base-flex (0.2.1-1stretch) stretch; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 02 Oct 2018 22:00:00 -0000

ros-melodic-move-base-flex (0.2.0-1stretch) stretch; urgency=high

  * Update copyright and 3-clause-BSD license of the Move Base Flex stack
  * Concurrency for planners, controllers and recovery behaviors
  * New class structure, allowing multiple executoin instances
  * Fixes minor bugs

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 10 Sep 2018 22:00:00 -0000

ros-melodic-move-base-flex (0.1.0-1stretch) stretch; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 21 Mar 2018 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-move-base-flex
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/move_base_flex
Standards-Version: 3.9.2

Package: ros-melodic-move-base-flex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-mbf-abstract-core, ros-melodic-mbf-abstract-nav, ros-melodic-mbf-costmap-core, ros-melodic-mbf-costmap-nav, ros-melodic-mbf-msgs, ros-melodic-mbf-simple-nav, ros-melodic-mbf-utility
Description: Move Base Flex (MBF) is a backwards-compatible replacement for move_base.
 MBF can use existing plugins for move_base, and provides an enhanced version of the planner, controller and recovery plugin ROS interfaces. It exposes action servers for planning, controlling and recovering, providing detailed information of the current state and the plugin’s feedback. An external executive logic can use MBF and its actions to perform smart and flexible navigation strategies. Furthermore, MBF enables the use of other map representations, e.g. meshes or grid_map This package is a meta package and refers to the Move Base Flex stack packages.The abstract core of MBF – without any binding to a map representation – is represented by the mbf_abstract_nav and the mbf_abstract_core. For navigation on costmaps see mbf_costmap_nav and mbf_costmap_core.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-move-base-flex//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-move-base-flex 0.4.0

=== debian/changelog ===
ros-melodic-move-base-flex (0.4.0-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 Oct 2021 22:00:00 -0000

ros-melodic-move-base-flex (0.3.4-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 01 Dec 2020 23:00:00 -0000

ros-melodic-move-base-flex (0.3.3-1bionic) bionic; urgency=high

  * Add mbf_utility to move_base_flex metapackag

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 04 Nov 2020 23:00:00 -0000

ros-melodic-move-base-flex (0.3.2-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-move-base-flex (0.3.1-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Mon, 06 Apr 2020 22:00:00 -0000

ros-melodic-move-base-flex (0.3.0-1bionic) bionic; urgency=high

  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 30 Mar 2020 22:00:00 -0000

ros-melodic-move-base-flex (0.2.5-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Thu, 10 Oct 2019 22:00:00 -0000

ros-melodic-move-base-flex (0.2.4-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Sat, 15 Jun 2019 22:00:00 -0000

ros-melodic-move-base-flex (0.2.3-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 13 Nov 2018 23:00:00 -0000

ros-melodic-move-base-flex (0.2.2-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 09 Oct 2018 22:00:00 -0000

ros-melodic-move-base-flex (0.2.1-1bionic) bionic; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 02 Oct 2018 22:00:00 -0000

ros-melodic-move-base-flex (0.2.0-1bionic) bionic; urgency=high

  * Update copyright and 3-clause-BSD license of the Move Base Flex stack
  * Concurrency for planners, controllers and recovery behaviors
  * New class structure, allowing multiple executoin instances
  * Fixes minor bugs

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 10 Sep 2018 22:00:00 -0000

ros-melodic-move-base-flex (0.1.0-1bionic) bionic; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 21 Mar 2018 23:00:00 -0000
